Skip to main content
`Ctrl`+`K`

# DMDASNESSetPicardLocal

set a local right-hand side and matrix evaluation function for Picard iteration with `DMDA`

## Synopsis

    #include "petscdmda.h"
    #include "petscsnes.h"
    PetscErrorCode DMDASNESSetPicardLocal(DM dm, InsertMode imode, DMDASNESFunctionFn *func, DMDASNESJacobianFn *jac, PetscCtx ctx)

Logically Collective

## Input Parameters

- dm - `DM` to associate callback with

- imode - `INSERT_VALUES` if local function computes owned part, `ADD_VALUES` if it contributes to ghosted part

- func - local residual evaluation

- jac - function to compute Jacobian

- ctx - optional context for local residual evaluation

## Note

The user must use `SNESSetFunction`(`snes`,`NULL`,`SNESPicardComputeFunction`,&user)); in their code before calling this routine.

## See Also

SNES: Nonlinear Solvers, `SNES`, `DMDA`, `DMDASNESFunctionFn`, `DMDASNESJacobianFn`, `DMSNESSetFunction()`, `DMDASNESSetJacobian()`, `DMDACreate1d()`, `DMDACreate2d()`, `DMDACreate3d()`

## Level

beginner

## Location

src/snes/utils/dmdasnes.c

## Examples

src/snes/tutorials/ex15.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages